org.eclipse.gef.dot.internal.ui.language

## Class AbstractDotHtmlLabelUiModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.ui.DefaultUiModule
    - - org.eclipse.gef.dot.internal.ui.language.AbstractDotHtmlLabelUiModule

All Implemented Interfaces:
  com.google.inject.Module

Direct Known Subclasses:
  DotHtmlLabelUiModule

    public abstract class AbstractDotHtmlLabelUiModule
    extends org.eclipse.xtext.ui.DefaultUiModule

Manual modifications go to {org.eclipse.gef.dot.internal.ui.language.DotHtmlLabelUiModule}

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotHtmlLabelUiModule(AbstractUIPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory>` `bindContentAssistContext$Factory()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser>` `bindIContentAssistParser()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider>` `bindIContentProposalProvider()`
`java.lang.Class<? extends ILabelProvider>` `bindILabelProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider>` `bindIOutlineTreeProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider>` `bindIOutlineTreeStructureProvider()`
`java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper>` `bindIProposalConflictHelper()`
`void` `configureContentAssistLexer(com.google.inject.Binder binder)`
`void` `configureContentAssistLexerProvider(com.google.inject.Binder binder)`
`void` `configureHighlightingLexer(com.google.inject.Binder binder)`
`void` `configureHighlightingTokenDefProvider(com.google.inject.Binder binder)`
`void` `configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)`
`com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState>` `provideIAllContainersState()`

### Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

`bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindISingleLineCommentHelper, bindIssueResolutionProvider, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindITraceURIConverter, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

`bindProperties, getBindings, tryBindProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDotHtmlLabelUiModule

    public AbstractDotHtmlLabelUiModule(AbstractUIPlugin plugin)

### Method Detail

#### provideIAllContainersState

    public com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState> provideIAllContainersState()

#### bindILabelProvider

    public java.lang.Class<? extends ILabelProvider> bindILabelProvider()

Overrides:
  `bindILabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

#### configureResourceUIServiceLabelProvider

    public void configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)

Overrides:
  `configureResourceUIServiceLabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

#### bindIOutlineTreeProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider> bindIOutlineTreeProvider()

#### bindIOutlineTreeStructureProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider> bindIOutlineTreeStructureProvider()

#### bindIProposalConflictHelper

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper> bindIProposalConflictHelper()

#### configureHighlightingTokenDefProvider

    public void configureHighlightingTokenDefProvider(com.google.inject.Binder binder)

#### bindIContentProposalProvider

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider> bindIContentProposalProvider()

#### bindContentAssistContext$Factory

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory> bindContentAssistContext$Factory()

#### bindIContentAssistParser

    public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser> bindIContentAssistParser()

#### configureContentAssistLexerProvider

    public void configureContentAssistLexerProvider(com.google.inject.Binder binder)

#### configureContentAssistLexer

    public void configureContentAssistLexer(com.google.inject.Binder binder)

#### configureHighlightingLexer

    public void configureHighlightingLexer(com.google.inject.Binder binder)